import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {ConfigStore} from "../../stores/ConfigStore";
import {ConfigForm} from "./ConfigForm";
import {ConfigTableReadButton} from "./ConfigTableReadButton";
import {ConfigTableUpdateButton} from "./ConfigTableUpdateButton";
import {MyConfigButton} from "./MyConfigButton";

export const ConfigBreadModel = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('id', 'Id', 'string'),
            makeColumn('user_name', 'Name', 'string'),
            makeColumn('user_email', 'Email', 'string')
        ]
    }, [])

    return (
        <BreadModel store={ConfigStore}
                    Form={ConfigForm}
                    columns={columns}
                    tableProps={{
                        preTableActions: [
                            <MyConfigButton />
                        ],
                        replacementActions: {
                            Read: ConfigTableReadButton,
                            Edit: ConfigTableUpdateButton,
                        }
                    }}
        />
    )
}