import * as React from 'react';
import {observer} from "mobx-react-lite";
import {ScannerField} from "@rx-suite/ui";
import {useOrderEntryStore} from "../../../hooks/useOrderEntryStore";
import {t} from "@lingui/macro";
import {Search} from "@material-ui/icons";

export const FrameFindUPCInput = observer(() => {
    const store = useOrderEntryStore();
    return (<>
            <ScannerField
                inputConfig={{
                    label: t`Scan/Type UPC...`,
                    value: store.upcLookupFieldValue,
                    onChange: store.handleFrameUPCChange,
                    onBlur: store.maybeCommitUPCLookupField,
                    disabled: store.fetchingFrameCandidates,
                    InputProps: {
                        startAdornment: <Search/>
                    },
                    autoFocus: false
                }}
                scanConfig={{
                    onComplete: store.commitUPCLookupField,
                    onPartial: store.maybeCommitUPCLookupField
                }}
                global
            />
        </>
    );
})