class SyncOrdersJob < ApplicationJob
  def perform
    OrderSyncStatus.wrap do
      Order.quietly do
        RxModule::Communicator::Rxuniverse.customers[:models].each do |cust|
          RxModule::Communicator::Rxuniverse.orders_by_customer_internal(cust[:custNumber]).each do |rxu_ord|
            the_order = Order.find_or_initialize_by(order_number: rxu_ord[:orderNumber])
            the_order.sync_with_rxuniverse!
          rescue
            Rails.logger.warn("Sync failed for order #{rxu_ord}")
          end
        rescue
          Rails.logger.warn("Sync failed for customer #{cust}")
        end
      end
    end

  end
end
