# == Schema Information
#
# Table name: shipping_methods
#
#  id               :bigint           not null, primary key
#  active           :boolean          default(TRUE), not null
#  code             :string(4000)
#  description      :string(4000)
#  ship_to_required :boolean
#  created_at       :datetime         not null
#  updated_at       :datetime         not null
#
# Indexes
#
#  index_shipping_methods_on_code  (code) UNIQUE
#
class ShippingMethod < ApplicationRecord
  scope :active, -> { where(active: true) }
  default_scope { active }
  has_many :orders
end
